Description: Fix signage of the chnresolv array
Author: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Bug-Debian: https://bugs.debian.org/857022
Forwarded: no
Last-Update: 2017-03-07

--- adplug-2.2.1+dfsg3.orig/src/s3m.cpp
+++ adplug-2.2.1+dfsg3/src/s3m.cpp
@@ -25,7 +25,7 @@
 #include <cstring>
 #include "s3m.h"
 
-const char Cs3mPlayer::chnresolv[] =	// S3M -> adlib channel conversion
+const signed char Cs3mPlayer::chnresolv[] =	// S3M -> adlib channel conversion
   {-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,1,2,3,4,5,6,7,8,-1,-1,-1,-1,-1,-1,-1};
 
 const unsigned short Cs3mPlayer::notetable[12] =		// S3M adlib note table
--- adplug-2.2.1+dfsg3.orig/src/s3m.h
+++ adplug-2.2.1+dfsg3/src/s3m.h
@@ -90,7 +90,7 @@ class Cs3mPlayer: public CPlayer
   unsigned char crow,ord,speed,tempo,del,songend,loopstart,loopcnt;
 
  private:
-  static const char chnresolv[];
+  static const signed char chnresolv[];
   static const unsigned short notetable[12];
   static const unsigned char vibratotab[32];
 
